Subject: [OSPF] FW: Forwarding address set for type-5

From: Radha Danda <[email-masked]>
Date: Wed, 13 Jul 2016 11:15:21 +0000

Hi All,

I need clarification on setting the Forwarding address set for type-5 LSA. As per RFC 2328 it is not obviously mentioned anywhere that the forwarding address can be set to connected, inter-area or intra-area routers but in the section 16.4 (Calculating AS external routes) it is mentioned that the forwarding address can be set to inter-area or intra-area as well. Snippet from the RFC is provided below for quick reference. Can you please confirm if the forwarding address can be set to ospf connected, inter-area or intra-area route while generating external LSA. Thanks.

**********************************
If the forwarding address is non-zero, look up the
            forwarding address in the routing table.[24] The matching
            routing table entry must specify an intra-area or inter-area
            path; if no such path exists, do nothing with the LSA and
            consider the next in the list.
******************************

Best Regards,
Radha

---

From: Radha Danda <[email-masked]>
Date: Wed, 13 Jul 2016 11:17:50 +0000

Hi All,
One more point to add, I could not find any scenario where next-hop (forwarding-address) could be from inter-area or intra-area route. If any scenarios on this could also be much useful. Thank you.

Best Regards,
Radha

From: Radha Danda
Sent: Wednesday, July 13, 2016 4:45 PM
To: [email-masked]
Subject: FW: Forwarding address set for type-5

Hi All,

Best Regards,
Radha